/*
 * Copyright 2015 aquenos GmbH.
 * All rights reserved.
 * 
 * Please refer to the file NOTICE.txt in the root of the source distribution or
 * in the META-INF directory of the binary archive for licensing information.
 */

/**
 * <p>
 * Channel Access client core.
 * This package contains those classes of the Channel Access client that are
 * intended to be used by user code.
 * </p>
 * <p>
 * The
 * {@link com.aquenos.epics.jackie.client.ChannelAccessClient} is the central
 * interface which is used by user code to access Channel Access channels.
 * Typically, the user code creates an instance of
 * {@link com.aquenos.epics.jackie.client.DefaultChannelAccessClient}. However,
 * other implementations are possible, if needed.
 * </p>
 * <p>
 * The behavior of the Channel Access client can be fine-tuned by providing a
 * {@link com.aquenos.epics.jackie.client.ChannelAccessClientConfiguration}. If
 * user-code wants detailed control over how a threads are created and managed
 * by the client, it can provide its own
 * {@link com.aquenos.epics.jackie.client.ClientThreadingStrategy}. For most use
 * cases however, the
 * {@link com.aquenos.epics.jackie.client.DefaultClientThreadingStrategy} should
 * be fine.
 * </p>
 */
package com.aquenos.epics.jackie.client;

